Petnow LogoPetnow

Get a pet

Get one pet by its ID.

GET
/v2/pets/{petId}

Authorization

VendorApiKeyAuth
x-petnow-api-key<token>

An API key from the Petify Console. A server key can call every route. A client (app) key can only create capture sessions and upload images.

In: header

Path Parameters

petId*string

ID of the pet, as returned when the pet was created.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.petify.petnow.io/v2/pets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "species": "DOG",
    "breed": "string",
    "metadata": "string",
    "hasFingerprint": true,
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "code": "PETNOWB2B10000"
    }
  ]
}

{
  "errors": [
    {
      "code": "PETNOWB2B10010"
    }
  ]
}

{
  "errors": [
    {
      "code": "PETNOWB2B20000"
    }
  ]
}